<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://xmlns.jcp.org/jsf/core ">


<ui:composition template="/WEB-INF/template.xhtml">
    <ui:define name="pageContent">


        <b:container layout="fluid" style="text-align:center">
            <script type="text/javascript" src="scripts/login.js"/>
            <b:row>
                <b:column colLg="6" colMd="5" colSm="3">
                    <div class="loginScreen">
                        <h:form id="form" styleClass="form-signin" prependId="false" onsubmit="verifyUsername()">
                            <h2 class="form-signin-heading">Please login</h2>
                            <b:inputText id="username" placeholder="email address or Username" required="true" var="username" value="username">
                                <f:facet name="prepend">
                                    <b:icon name="user"/>
                                </f:facet>
                            </b:inputText>
                            <b:inputText id="password" placeholder="Password" type="password" required="true" >
                                <f:facet name="prepend">
                                    <b:iconAwesome name="key"/>
                                </f:facet>
                            </b:inputText>

                            <h:commandLink id="emailCommandLink" value="click" action="#{loginService.loginWithEmail()}"
                                                                     style="display:none"             />
                            <h:commandLink id="usernameCommandLink" value="click" action="#{loginService.loginWithUserName()}"
                                           style="display: none" />

                            <b:commandButton look="primary btn-block" value="Login" icon="log-in" size="lg"
                                              type="submit"/>
                        </h:form>
                    </div>
                </b:column>
            </b:row>

        </b:container>

        <script type="text/javascript">

        </script>
    </ui:define>
</ui:composition>

</html>
